CREATE TABLE `employee` (
	id VARCHAR(50) NOT NULL PRIMARY KEY,
	barcode varchar(20) NOT NULL,
	first_name varchar(20) NOT NULL,
	last_name varchar(20) NOT NULL,
	email varchar(50) NOT NULL,
	id_card_type varchar(20),
	id_card_expired_date date,
	id_card_no  varchar(20),
	postal_code  varchar(5),
	citizen_id_address varchar(100),
	residential_id_address varchar(100),
	birth_place varchar(20),
	birth_date date,
	mobile_phone varchar(12),
	phone varchar(12),
	gender varchar(1),
	marital_status varchar(10),
	blood_type varchar(1),
	religion varchar(20),
	company_id BINARY(16) NOT NULL,
	organization_id BINARY(16) NOT NULL,
	job_id BINARY(16) NOT NULL,
	job_level_id BINARY(16) NOT NULL,
	employment_status varchar(20),
	join_date date,
	grade varchar(20),
	employee_class varchar(20),
	schedule varchar(20),
	approval varchar(20),
	salary decimal(15,2),
	npwp varchar(20),
	ptkp_status varchar(20),
	bank_name varchar(50),
	bank_account varchar(20),
	bank_account_holder varchar(50),
	bpjs_tk varchar(20),
	bpjs_k varchar(20),
	bpjs_kf varchar(20),
	tax_configuration varchar(20),
	salary_type varchar(20),
	salary_configuration varchar(20),
	taxable_date date,
	jht_configuration varchar(20),
	employee_tax_status varchar(20),
	jaminan_pensiun_configuration varchar(20),
	npp_bpjs_tk varchar(20),
	overtime_status varchar(20),
	bpjs_k_configuration varchar(20),
	beginning_netto decimal(15,2),
	pph21_paid decimal(15,2),
	bpjs_tk_date date,
	bpjs_k_date date,
	jaminan_pensiun_date date,
	payment_schedule varchar(20),
	prorate_type varchar(20),
	is_active int DEFAULT 1,
	created_at timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
	updated_at timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	foreign key (company_id) references company(id),
	foreign key (organization_id) references organization(id),
	foreign key (job_id) references job(id),
	foreign key (job_level_id) references job_level(id)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
